Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/iom_nf90.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/iom_nf90.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/iom_nf90.F90	(revision 10774)
@@ -84,5 +84,8 @@
          !                 ! =============
          IF( ldwrt ) THEN  ! ... in write mode
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in WRITE mode'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in WRITE mode'
+               IF(lflush) CALL flush(numout)
+            ENDIF
             IF( snc4set%luse ) THEN
                CALL iom_nf90_check(NF90_OPEN( TRIM(cdname), NF90_WRITE  , if90id ), clinfo)
@@ -92,5 +95,8 @@
             CALL iom_nf90_check(NF90_SET_FILL( if90id, NF90_NOFILL, idmy                          ), clinfo)
          ELSE              ! ... in read mode
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in READ mode'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in READ mode'
+               IF(lflush) CALL flush(numout)
+            ENDIF
             CALL iom_nf90_check(NF90_OPEN( TRIM(cdname), NF90_NOWRITE, if90id, chunksize = ichunk ), clinfo)
          ENDIF
@@ -103,5 +109,8 @@
                cdname = TRIM(cltmp)
             ENDIF
-            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' create new file: '//TRIM(cdname)//' in WRITE mode'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*) TRIM(clinfo)//' create new file: '//TRIM(cdname)//' in WRITE mode'
+               IF(lflush) CALL flush(numout)
+            ENDIF
 
             IF( llclobber ) THEN   ;   imode = IOR( NF90_64BIT_OFFSET, NF90_CLOBBER   )
@@ -109,5 +118,8 @@
             ENDIF
             IF( snc4set%luse ) THEN
-               IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' creating file: '//TRIM(cdname)//' in hdf5 (netcdf4) mode'
+               IF(lwp .AND. nprint > 0) THEN
+                  WRITE(numout,*) TRIM(clinfo)//' creating file: '//TRIM(cdname)//' in hdf5 (netcdf4) mode'
+                  IF(lflush) CALL flush(numout)
+               ENDIF
                CALL GET_NF90_SYMBOL("NF90_HDF5", ihdf5)
                IF( llclobber ) THEN   ;   imode = IOR(ihdf5, NF90_CLOBBER)
@@ -158,5 +170,8 @@
         &                                               len  = iom_file(kiomid)%lenuld ), clinfo )
          ENDIF
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) '                   ---> '//TRIM(cdname)//' OK'
+         IF(lwp .AND. nprint > 0) THEN
+            WRITE(numout,*) '                   ---> '//TRIM(cdname)//' OK'
+            IF(lflush) CALL flush(numout)
+         ENDIF
       ELSE
          kiomid = 0               ! return error flag
@@ -431,5 +446,8 @@
          ! trick: defined to 0 to say that dimension variables are defined but not yet written
          iom_file(kiomid)%dimsz(1, 1)  = 0   
-         IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' define dimension variables done'
+         IF(lwp .AND. nprint > 1) THEN
+            WRITE(numout,*) TRIM(clinfo)//' define dimension variables done'
+            IF(lflush) CALL flush(numout)
+         ENDIF
       ENDIF
       ! define the data if it is not already done
@@ -500,5 +518,8 @@
             IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' chunked ok. Chunks sizes: ', ichunksz
          ENDIF
-         IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' defined ok'
+         IF(lwp .AND. nprint > 1) THEN
+            WRITE(numout,*) TRIM(clinfo)//' defined ok'
+            IF(lflush) CALL flush(numout)
+         ENDIF
       ELSE
          idvar = kvid
@@ -543,5 +564,8 @@
                CALL iom_nf90_check(NF90_INQUIRE_DIMENSION( if90id, 3, len = iom_file(kiomid)%dimsz(1,3) ), clinfo)
                iom_file(kiomid)%dimsz(1  , 4) = 1   ! unlimited dimension
-               IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' write dimension variables done'
+               IF(lwp .AND. nprint > 1) THEN
+                 WRITE(numout,*) TRIM(clinfo)//' write dimension variables done'
+                 IF(lflush) CALL flush(numout)
+               ENDIF
             ENDIF
          ENDIF
@@ -561,5 +585,8 @@
          IF( iom_file(kiomid)%luld(idvar) )   iom_file(kiomid)%dimsz(iom_file(kiomid)%ndims(idvar), idvar)    &
                &                            = iom_file(kiomid)%dimsz(iom_file(kiomid)%ndims(idvar), idvar) + 1
-         IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' written ok'
+         IF(lwp .AND. nprint > 0) THEN
+           WRITE(numout,*) TRIM(clinfo)//' written ok'
+           IF(lflush) CALL flush(numout)
+         ENDIF
       ENDIF
       !     
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90	(revision 10774)
@@ -369,4 +369,5 @@
          WRITE(j_id,*)
          WRITE(j_id,*)
+         IF(lflush) CALL flush(j_id)
 
 9000     FORMAT(a41,i4.4,a14)
@@ -515,4 +516,5 @@
       IF(lwp) WRITE(numout,*)' sum ilcitl(1,j) = ', zjdom, ' jpjglo = ', jpjglo
       IF(lwp) WRITE(numout,*)
+      IF(lwp .AND. lflush) CALL flush(numout)
       
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 10774)
@@ -116,4 +116,5 @@
                   ENDIF
                ENDIF
+               IF(lflush) CALL flush(numout)
             ENDIF
             !
@@ -211,4 +212,5 @@
             IF ( snc4set%luse )      WRITE(numout,*) 'rst_read : configured with NetCDF4 support'
             WRITE(numout,*) '~~~~~~~~'
+            IF(lflush) CALL flush(numout)
          ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/cla.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/cla.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/cla.F90	(revision 10774)
@@ -83,4 +83,5 @@
          IF(lwp) WRITE(numout,*) 'div_cla : cross land advection on hdiv '
          IF(lwp) WRITE(numout,*) '~~~~~~~~'
+         IF(lflush) CALL flush(numout) 
          !
          IF( nbab == 1 )   CALL cla_bab_el_mandeb('ini')    ! Bab el Mandeb ( Red Sea - Indian ocean )
@@ -120,4 +121,5 @@
          IF(lwp) WRITE(numout,*) 'tra_cla : cross land advection on tracers '
          IF(lwp) WRITE(numout,*) '~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -147,4 +149,5 @@
          IF(lwp) WRITE(numout,*) 'cla_dynspg : cross land advection on (ua,va) '
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -181,4 +184,5 @@
       IF(lwp) WRITE(numout,*) 'cla_init : cross land advection initialisation '
       IF(lwp) WRITE(numout,*) '~~~~~~~~~'
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       !                           ! Allocate arrays for this module
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini.F90	(revision 10774)
@@ -73,4 +73,5 @@
          WRITE(numout,*) '         nimpp  = ', nimpp
          WRITE(numout,*) '         njmpp  = ', njmpp
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -137,4 +138,5 @@
       IF(lwp) WRITE(numout,*) 'mpp_init : Message Passing MPI'
       IF(lwp) WRITE(numout,*) '~~~~~~~~'
+      IF(lflush) CALL flush(numout)
 
 
@@ -287,4 +289,5 @@
       IF(lwp) WRITE(numout,*)' sum ilcit(1,j)=', zjdom, ' jpjglo=', jpjglo
       IF(lwp) WRITE(numout,*)
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       IF(lwp .AND. nprint>1) THEN
@@ -305,4 +308,6 @@
             il1 = il1+ifreq
          END DO
+         IF(lflush) CALL flush(numout)
+      ENDIF
  9200     FORMAT('     ***',20('*************',a3))
  9203     FORMAT('     *     ',20('         *   ',a3))
@@ -310,5 +315,4 @@
  9202     FORMAT(' ',i3,' *  ',20(i3,'  x',i3,'   *   '))
  9204     FORMAT('     *  ',20('      ',i3,'   *   '))
-      ENDIF
 
       ! 5. From global to local
@@ -447,4 +451,5 @@
          WRITE(numout,*) ' jprecj = ', jprecj , ' npnw   = ', npnw
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -456,4 +461,5 @@
          CALL mpp_ini_north
          IF(lwp) WRITE(numout,*) ' mpp_init : North fold boundary prepared for jpni >1'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -511,4 +517,5 @@
           WRITE(numout,*) '                    ihals = ', ihals(1), ihals(2)
           WRITE(numout,*) '                    ihale = ', ihale(1), ihale(2)
+          IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 10774)
@@ -93,4 +93,5 @@
       IF(lwp)WRITE(numout,*) '~~~~~~~~'
       IF(lwp)WRITE(numout,*) ' '
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       IF( jpni*jpnj < jpnij ) CALL ctl_stop( ' jpnij > jpni x jpnj impossible' )
@@ -184,4 +185,5 @@
       IF(lwp) WRITE(numout,*) ' sum ilcj(1,j)=',zjdom,' jpjglo=',jpjglo
       IF(lwp) WRITE(numout,*)
+      IF(lwp .AND. lflush) CALL flush(numout)
 
 
@@ -364,4 +366,5 @@
             il1 = il1+ifreq
          END DO
+         IF(lflush) CALL flush(numout)
  9400     FORMAT('     ***',20('*************',a3))
  9403     FORMAT('     *     ',20('         *   ',a3))
@@ -572,4 +575,5 @@
          WRITE(numout,*) ' jprecj = ', jprecj , ' npnw   = ', npnw
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -581,4 +585,5 @@
          CALL mpp_ini_north
          IF(lwp) WRITE(numout,*) ' mpp_init2 : North fold boundary prepared for jpni >1'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 10774)
@@ -159,5 +159,6 @@
      nkahm_smag = 1
 #endif
-
+      !
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
    END SUBROUTINE ldf_dyn_init
@@ -210,4 +211,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
    END SUBROUTINE ldf_zpf_1d
 
@@ -252,4 +255,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
    END SUBROUTINE ldf_zpf_1d_3d
 
@@ -293,4 +298,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
    END SUBROUTINE ldf_zpf_3d
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c2d.h90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c2d.h90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c2d.h90	(revision 10774)
@@ -41,4 +41,5 @@
       IF(lwp) WRITE(numout,*) 'ldf_dyn_c2d : 2d lateral eddy viscosity coefficient'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! harmonic operator (ahm1, ahm2) : ( T- and F- points) (used for laplacian operators
@@ -85,4 +86,5 @@
             CALL prihre(ahm2,jpi,jpj,1,jpi,1,1,jpj,1,1.e-3,numout)
          ENDIF
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -119,4 +121,5 @@
             CALL prihre(ahm4,jpi,jpj,1,jpi,1,1,jpj,1,1.e-3,numout)
          ENDIF
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
@@ -160,4 +163,5 @@
       IF(lwp) WRITE(numout,*) '~~~~~~  --'
       IF(lwp) WRITE(numout,*) '        orca ocean configuration'
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       IF( cp_cfg == "orca" .AND. cp_cfz == "antarctic" ) THEN
@@ -316,4 +320,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
       CALL wrk_dealloc( jpi   , jpj   , icof  )
       !
@@ -358,4 +364,5 @@
       IF(lwp) WRITE(numout,*) '~~~~~~  --'
       IF(lwp) WRITE(numout,*) '        orca_r1 configuration'
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       IF( cp_cfg == "orca" .AND. cp_cfz == "antarctic" ) THEN
@@ -519,4 +526,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
       CALL wrk_dealloc( jpi   , jpj   , icof  )
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c3d.h90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c3d.h90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_c3d.h90	(revision 10774)
@@ -179,4 +179,6 @@
          ENDIF
       ENDIF
+      !
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       CALL wrk_dealloc( jpk, zcoef )
@@ -432,4 +434,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
       CALL wrk_dealloc( jpi   , jpj   , icof  )
       CALL wrk_dealloc( jpk   ,         zcoef )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90	(revision 10774)
@@ -106,8 +106,9 @@
 
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'ldf_dyn_smag : 3D lateral eddy viscosity coefficient'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
-     
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) 'ldf_dyn_smag : 3D lateral eddy viscosity coefficient'
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
+
       ENDIF
       
@@ -174,9 +175,14 @@
             ahm1(:,:,jpk) = ahm1(:,:,jpkm1)
             ahm2(:,:,jpk) = ahm2(:,:,jpkm1)
-            IF(lwp.and.kt==nit000) WRITE(numout,'(36x," ahm ", 7x)')
+            IF(lwp.and.kt==nit000) THEN
+               WRITE(numout,'(36x," ahm ", 7x)') 
+               IF(lflush) CALL flush(numout)
+            ENDIF
+         IF(lwp.and.kt==nit000) THEN
             DO jk = 1, jpk
-
-               IF(lwp.and.kt==nit000) WRITE(numout,'(30x,E10.2,8x,i3)') ahm1(jpi/2,jpj/2,jk), jk
+               WRITE(numout,'(30x,E10.2,8x,i3)') ahm1(jpi/2,jpj/2,jk), jk
             END DO
+            IF(lflush) CALL flush(numout)
+         ENDIF
       CALL lbc_lnk( ahm1, 'T', 1. )   ! Lateral boundary conditions on ( ahtt )
       CALL lbc_lnk( ahm2, 'F', 1. )   ! Lateral boundary conditions on ( ahtt )
@@ -245,10 +251,11 @@
             ahm4(:,:,jpk) = ahm4(:,:,jpkm1)
 
-      DO jk = 1, jpk
-      IF(  kt == nit000 ) THEN
-
-               IF(lwp) WRITE(numout,'(30x,E10.2,8x,i3)') ahm3(jpi/2,jpj/2,jk), jk
+      IF(  kt == nit000 .AND. lwp) THEN
+         DO jk = 1, jpk
+               WRITE(numout,'(30x,E10.2,8x,i3)') ahm3(jpi/2,jpj/2,jk), jk
+               IF(lflush) CALL flush(numout)
+         END DO
       ENDIF   
-      END DO
+
       CALL lbc_lnk( ahm3, 'U', 1. )   ! Lateral boundary conditions
       CALL lbc_lnk( ahm4, 'V', 1. )
@@ -269,5 +276,8 @@
       IF( lk_mpp )   CALL mpp_max( zdeltat )                 ! max over the global domain
       !
-      IF( MOD( kt, nwrite ) == 1 .AND. lwp )   WRITE(numout,*) ' ==>> time-step= ',kt,'dynlap:  abs(ahm) max: ', zdeltat
+      IF( MOD( kt, nwrite ) == 1 .AND. lwp )  THEN
+         WRITE(numout,*) ' ==>> time-step= ',kt,'dynlap:  abs(ahm) max: ', zdeltat
+         IF(lflush) CALL flush(numout)
+      ENDIF
     ENDIF
     If(ln_dynldf_bilap)THEN
@@ -282,5 +292,8 @@
       IF( lk_mpp )   CALL mpp_max( zdeltat )                 ! max over the global domain
       !
-      IF( MOD( kt, nwrite ) == 1 .AND. lwp )   WRITE(numout,*) ' ==>> time-step= ',kt,'dyn_bilap abs(ahm) max: ', zdeltat
+      IF( MOD( kt, nwrite ) == 1 .AND. lwp )  THEN
+         WRITE(numout,*) ' ==>> time-step= ',kt,'dyn_bilap abs(ahm) max: ', zdeltat
+         IF(lflush) CALL flush(numout)
+      ENDIF
       !
    ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 10774)
@@ -414,4 +414,5 @@
          IF(lwp) THEN 
             WRITE(numout,*) '          Horizontal mixing in s-coordinate: slope = slope of s-surfaces' 
+            IF(lflush) CALL flush(numout)
          ENDIF 
 
@@ -451,4 +452,5 @@
             IF(lwp) WRITE(numout,*) ' max slop: u',SQRT( MAXVAL(uslp*uslp)), ' v ', SQRT(MAXVAL(vslp)),  & 
                &                             ' wi', sqrt(MAXVAL(wslpi)), ' wj', sqrt(MAXVAL(wslpj)) 
+            IF(lwp .AND. lflush) CALL flush(numout)
          endif 
   
@@ -842,4 +844,5 @@
          WRITE(numout,*) 'ldf_slp_init : direction of lateral mixing'
          WRITE(numout,*) '~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -865,4 +868,5 @@
          IF(ln_sco .AND.  (ln_traldf_hor .OR. ln_dynldf_hor )) THEN
             IF(lwp)   WRITE(numout,*) '          Horizontal mixing in s-coordinate: slope = slope of s-surfaces'
+            IF(lwp .AND. lflush) CALL flush(numout)
 
             ! geopotential diffusion in s-coordinates on tracers and/or momentum
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 10774)
@@ -175,5 +175,6 @@
         IF(lwp.and.ln_traldf_bilap) CALL ctl_stop(' SMAGORINSKY + BILAPLACIAN - UNSTABLE OR NON_CONSERVATIVE' )
 #endif
-
+      !
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
    END SUBROUTINE ldf_tra_init
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c2d.h90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c2d.h90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c2d.h90	(revision 10774)
@@ -36,8 +36,10 @@
          IF(lwp) WRITE(numout,*) ' ldf_tra_c2d : 2D eddy diffusivity and eddy'
          IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~   --  induced velocity coefficients'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ELSE
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) ' ldf_tra2d : 2D eddy diffusivity coefficient'
          IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~   --'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -75,4 +77,5 @@
             IF(lwp) WRITE(numout,*) '               Constant values used for eddy diffusivity coefficients'
             IF(lwp) WRITE(numout,*) '               Variation lat/lon only for eddy induced velocity coefficients'
+            IF(lwp .AND. lflush) CALL flush(numout)
          ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c3d.h90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c3d.h90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c3d.h90	(revision 10774)
@@ -46,5 +46,5 @@
          IF(lwp) WRITE(numout,*) '               Coefficients set to constant'
       ENDIF
-
+   
 
       ! biharmonic operator   (T-point)
@@ -121,3 +121,6 @@
 
 # endif
+
+   IF(lwp .AND. lflush) CALL flush(numout)
+
    END SUBROUTINE ldf_tra_c3d
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90	(revision 10774)
@@ -99,4 +99,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*)
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -108,6 +109,9 @@
       ahtt(:,:,:) = rn_aht_0
        IF( ln_traldf_bilap ) THEN
-        IF( lwp .AND. kt == nit000) WRITE(numout,* )'ldf_tra_smag :no bilaplacian Smagorinsky diffusivity'
-        IF( lwp .AND. kt == nit000) WRITE(numout,* )'ldf_tra_smag :bilaplacian diffusivity set to constant'  
+        IF( lwp .AND. kt == nit000) THEN
+          WRITE(numout,* )'ldf_tra_smag :no bilaplacian Smagorinsky diffusivity'
+          WRITE(numout,* )'ldf_tra_smag :bilaplacian diffusivity set to constant'  
+          IF(lflush) CALL flush(numout)
+        ENDIF
        ENDIF
 
@@ -190,4 +194,5 @@
          CALL prihre( ahtw(:,:,1), jpi, jpj, 1, jpi, 1,   &
             &                                1, jpj, 1, 1.e-1, numout )
+         IF(lflush) CALL flush(numout)
       ENDIF
 ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 10774)
@@ -269,4 +269,5 @@
          WRITE(numout,*) '      choose the albedo parameterization                  nn_ice_alb = ', nn_ice_alb
          WRITE(numout,*) '      albedo of bare puddled ice                          rn_albice  = ', rn_albice
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 10774)
@@ -183,4 +183,5 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~~~'
       IF(lwp) WRITE(numout,*)
+      IF(lflush) CALL flush(numout)
 
       ncplmodel = kcplmodel
@@ -235,4 +236,5 @@
          WRITE(numout,*) ' multiexchg: nldi, nlei, nimpp =', nldi, nlei, nimpp
          WRITE(numout,*) ' multiexchg: nldj, nlej, njmpp =', nldj, nlej, njmpp
+         IF(lflush) CALL flush(numout)
       ENDIF
       
@@ -313,6 +315,9 @@
                      CALL oasis_abort ( ssnd(ji)%nid(jc,jm), 'cpl_define', 'Failure in oasis_def_var' )
                   ENDIF
-                  IF( ln_ctl .AND. ssnd(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
-                  IF( ln_ctl .AND. ssnd(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
+                  IF( ln_ctl) THEN 
+                     IF(ssnd(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
+                     IF(ssnd(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
+                     IF(lflush) CALL flush(numout)
+                  ENDIF
                END DO
             END DO
@@ -351,6 +356,8 @@
                   END IF
 #endif
-                  IF( ln_ctl ) WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_In
-                  flush(numout)
+                  IF( ln_ctl ) THEN
+                    WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_In
+                    IF(lflush) CALL flush(numout)
+                  ENDIF
 
                   ! Define 0D (Greenland or Antarctic ice mass) or 1D (river outflow) coupling fields
@@ -394,7 +401,9 @@
                      CALL oasis_abort ( srcv(ji)%nid(jc,jm), 'cpl_define', 'Failure in oasis_def_var' )
                   ENDIF
-                  IF( ln_ctl .AND. srcv(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
-                  IF( ln_ctl .AND. srcv(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
-
+                  IF(ln_ctl) THEN
+                    IF(srcv(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
+                    IF(srcv(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
+                    IF(lflush) CALL flush(numout)
+                  ENDIF
                END DO
             END DO
@@ -447,4 +456,5 @@
                      WRITE(numout,*) '     -     Sum value is ', SUM(pdata(:,:,jc))
                      WRITE(numout,*) '****************'
+                     IF(lflush) CALL flush(numout)
                   ENDIF
                ENDIF
@@ -491,5 +501,8 @@
                 &        kinfo == OASIS_RecvOut .OR. kinfo == OASIS_FromRestOut
                
-               IF ( ln_ctl )   WRITE(numout,*) "llaction, kinfo, kstep, ivarid: " , llaction, kinfo, kstep, srcv(kid)%nid(jc,jm)
+               IF ( ln_ctl )   THEN
+                  WRITE(numout,*) "llaction, kinfo, kstep, ivarid: " , llaction, kinfo, kstep, srcv(kid)%nid(jc,jm)
+                  IF(lflush) CALL flush(numout)
+               ENDIF
                
                IF ( llaction ) THEN
@@ -513,4 +526,5 @@
                      WRITE(numout,*) '     -     Sum value is ', SUM(pdata(:,:,jc))
                      WRITE(numout,*) '****************'
+                     IF(lflush) CALL flush(numout)
                   ENDIF
 
@@ -603,4 +617,5 @@
                      WRITE(numout,*) '     - Start of data is ', pdata(1:number_to_print)
                      WRITE(numout,*) '****************'
+                     IF(lflush) CALL flush(numout)
                   ENDIF
                   
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_rnf_1d.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_rnf_1d.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_rnf_1d.F90	(revision 10774)
@@ -70,4 +70,5 @@
       IF(lwp) WRITE(numout,*) 'cpl_rnf_1d_init : initialization of river runoff coupling'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
+      IF(lwp .AND. lflush) CALL flush(numout)
       
       REWIND(numnam_cfg)
@@ -87,4 +88,5 @@
       IF(lwp) WRITE(numout,*) '             Print river information = ',ln_print_river_info
       IF(lwp) WRITE(numout,*) ' '
+      IF(lwp .AND. lflush) CALL flush(numout)
       
       ! Assign space for river numbers
@@ -109,6 +111,7 @@
       
       ! Print out the largest river number
-      IF ( ln_print_river_info ) THEN
+      IF ( ln_print_river_info .AND. lwp) THEN
          WRITE(numout,*) 'Maximum river number in input file = ',max_river
+         IF(lflush) CALL flush(numout)
       END IF
       
@@ -137,6 +140,7 @@
       rivers%river_area(:) = REAL(rivers%river_area_c(:),wp)
       
-      IF ( ln_print_river_info ) THEN
+      IF ( ln_print_river_info .AND. lwp) THEN
         WRITE(numout,*) 'Area of rivers 1 to 10 are ',rivers%river_area(1:10)
+        IF(lflush) CALL flush(numout)
       END IF
       
